Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IContentConsumer

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IContentConsumer

Generic content consumer. A generic content consumer is used to store plug-in and non-plug-in files for a feature.

Clients may implement this interface. However, in most cases clients will only use the content consumer provided by the feature type(s) implemented by the platform.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `IFeatureContentConsumer`

Method Summary
`void` `close()` Deprecated. Indicates successful completion of the store operations for this consumer
`void` `store(ContentReference contentReference, IProgressMonitor monitor)` Deprecated. Stores a file.

Method Detail

### store

    void store(ContentReference contentReference,
               IProgressMonitor monitor)
               throws CoreException

  Deprecated.
  Stores a file.

  Parameters:
    `contentReference` - reference to the file to store
    `monitor` - progress monitor, can be `null`
  Throws:
    `CoreException`
  Since:
    2.0
  See Also:
    `IFeatureContentConsumer.open(IPluginEntry)`, `IFeatureContentConsumer.open(INonPluginEntry)`

### close

    void close()
               throws CoreException

  Deprecated.
  Indicates successful completion of the store operations for this consumer

  Throws:
    `CoreException`
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.